Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class MetaClassRegistryChangeEvent

    java.lang.Object
      java.util.EventObject
          groovy.lang.MetaClassRegistryChangeEvent

    public class MetaClassRegistryChangeEvent
    extends EventObject

An event used to propagate meta class updates

Authors:
  Jochen Theodorou

Constructor Summary
`MetaClassRegistryChangeEvent(Object source, Class clazz, MetaClass metaClass)`

Method Summary
`Class` | `getClassToUpdate()`
`MetaClass` | `getNewMetaClass()`

Methods inherited from class EventObject
toString, getSource, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MetaClassRegistryChangeEvent

    public MetaClassRegistryChangeEvent(Object source, Class clazz, MetaClass metaClass)

Method Detail

### getClassToUpdate

    public Class getClassToUpdate()

### getNewMetaClass

    public MetaClass getNewMetaClass()

Copyright © 2003-2010 The Codehaus. All rights reserved.